---
title: "Migrating to Hugo"
date: 2017-10-24T20:30:43-04:00
draft: true
---

The migration is complete! I made the decision in the past week to move away from Middleman (sorry Middleman) and pick up a new blogging platform with more hutzpah. I've read several articles and posts about [Hugo](gohugo.io) and heard that it is an absolute blast to work with. How simple is it would you say? So simple that all I really did was install Hugo, download a theme, configure that theme and BOOM here I am writing content on my new platform.

Hugo makes the boring stuff easy. I did not have to write any HTML or CSS. The Hugo theme [author](http://yoshiharuyamashita.com/) has literally done all of this for me. Yoshiharu if I ever get the chance to meet you, I owe you. This theme is beautiful and is exactly the look I wanted my personal site to display. Hugo also builds sites in milliseconds. Using the new and shiny Golang, Hugo is able to churn through a site render in <1ms per page. This is extraordinary. Development changes and builds are nearly instantly completed, and the speed of the build never ceases to amaze.

# Getting Hugo on Fedora

My Hugo setup is currently on a Fedora 27 laptop. I wanted to share some of the steps I followed to get Hugo up and running, hopefully to help some other developer out there that may not be the best at front-end development get their ideas heard.

## Snapcraft

Snapcraft and snaps are a method of package management created by Canonical, the company behind Ubuntu. Snaps are a means of isolating applications in a self-contained environment that includes everything that the application needs to runs. Once you have downloaded the Hugo snap, you will be able to start working with Hugo.